Summary:	Printing in D4 mode on Epson's multi-function devices
Name:		d4
Version:	1.20
Release:	5mdk
License:	GPL
Group:		System/Servers

Source:		http://xwtools.automatix.de/files/d4.tar.bz2
Source1:        d4parallel.bz2
Source2:        d4usb.bz2
Patch:		d4-Makefile.patch.bz2

Url:		http://xwtools.automatix.de/
BuildRoot:	%_tmppath/%name-%version-%release-root

%description

Epson has published two multi-function devices, the Epson Stylus Scan
2000 and 2500. They contain the printing engine of the Epson Stylus
Color 740 together with a sheet-fed or a flatbed scanner resp.

This package makes printing available on these machines.

Scanning can be done directly with SANE, but the machine must be
connected via USB.

%prep

%setup -q -n %{name}
%patch -p1 -b .orig

# The /usr/local prefix is hard-coded in this package, so the only solution
# is this
perl -p -i -e "s:/usr/local:/usr:" *
# Normally one uses the interactive "Configure" but we must do it
# non-interactively
cp Makefile.ORG Makefile
# Load CUPS backends
bzcat %{SOURCE1} > d4parallel
bzcat %{SOURCE2} > d4usb

%build

%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d %buildroot%{_bindir}
cp d4Print d4Stat d4Reset d4Id %buildroot%{_bindir}
install -d %buildroot%{_libdir}/xwD4
cp cmds.bin %buildroot%{_libdir}/xwD4
install -d %buildroot%{_libdir}/cups/backend
cp d4parallel d4usb %buildroot%{_libdir}/cups/backend

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README.txt
%attr(4750,root,sys) %_bindir/*
%_libdir/xwD4
%attr(755,root,root) %_libdir/cups/backend/*

%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.20-5mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- macroize
- use %%make macro

* Sat Aug 17 2002 Till Kamppeter <till@mandrakesoft.com> 1.20-4mdk
- Fixes on the CUPS backends: They work for raw jobs now and the entries
  in the list of available backends in the web interface of CUPS look
  nicer now.

* Tue Aug 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.20-3mdk
- Build on Alpha.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.20-2mdk
- Fixes in the description text.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.20-1mdk
- Initial release
